<!-- livebook:{"persist_outputs":true} -->

# 6 - Invirtiendo Cadenas

## INVIRTIENDO CADENAS

* Reto #6
* Fecha publicación enunciado: 07/02/22
* Dificultad: FÁCIL
* Origen: https://github.com/mouredev/Weekly-Challenge-2022-Kotlin/blob/main/app/src/main/java/com/mouredev/weeklychallenge2022/Challenge6.kt

<!-- livebook:{"break_markdown":true} -->



## Enunciado

Crea un programa que invierta el orden de una cadena de texto sin usar funciones propias del lenguaje que lo hagan de forma automática.
Si le pasamos "Hola mundo" nos retornaría "odnum aloH".

## Solución

```elixir
defmodule Reverse do
  def chars(string) do
    string
    |> String.to_charlist()
    |> Enum.reduce([], fn letter, acc ->
      [letter | acc]
    end)
    |> List.to_string()
  end
end
```

<!-- livebook:{"output":true} -->

```
{:module, Reverse, <<70, 79, 82, 49, 0, 0, 7, ...>>, {:chars, 1}}
```

```elixir
defmodule Solution do
  def run(string) do
    Reverse.chars(string)
  end
end
```

<!-- livebook:{"output":true} -->

```
{:module, Solution, <<70, 79, 82, 49, 0, 0, 6, ...>>, {:run, 1}}
```

```elixir
Solution.run("Hola mundo")
```

<!-- livebook:{"output":true} -->

```
"odnum aloH"
```
